package model;

public class HitboxCircle extends Hitbox {
	private float radiusHitbox;
	
	public HitboxCircle(String[] dataHitbox, Entity owner){
		super(dataHitbox[0]);
		setOwnerEntity(owner);
		parseStringToCircleHitbox(dataHitbox);
	}
	public HitboxCircle(String shape, Entity owner){
		super(shape);
		setOwnerEntity(owner);
		radiusHitbox = 0;
	}
	private void parseStringToCircleHitbox(String[] informations) {
		referencePoint.x = Float.parseFloat(informations[1]);
		referencePoint.y = Float.parseFloat(informations[2]);
		radiusHitbox = Float.parseFloat(informations[3]);
	}
	@Override
	public String listPointsToString() {
		return "Circle"+referencePoint.x+referencePoint.x+" "+referencePoint.y+" "+radiusHitbox;
	}
	
}
